spring:
    messages:
        cache-duration: -1
        basename: classpath:i18n/messages/message
        encoding: UTF-8
    quartz:
        scheduler-name: ecmsbScheduler
# quartz.job-store-type을 별도 지정하지 않으면 memory 기반으로 동작하며 어플리케이션 재시작 시 데이터는 사라진다.
#        job-store-type: jdbc
#        jdbc.initialize-schema: never
    batch:
        job:
            enabled: false
            names: ${job.name:NONE}

server.site.name: batch


# 네이버 API
naver:
    clientId: x5FGDO3Q9kNZVG9SnDY6
    clientSecret: tRRng56dgN
    login.callbackUrl: /signin/snsLoginCallback?snsType=NV
    shortUrl: https://openapi.naver.com/v1/util/shorturl
    tokenUrl: https://nid.naver.com/oauth2.0/token
    userInfoUrl : https://openapi.naver.com/v1/nid/me
    authorizeUrl : https://nid.naver.com/oauth2.0/authorize
    pay:
        partnerId: np_ktptw906068
        clientId: 8TSWSyJMMUvOLKUySQx6
        clientSecret: oGXnO7cMD1
        paymentReadyUrl: /naverpay/payments/v2/reserve
        approvePaymentUrl: /naverpay/payments/v2/apply/payment
        paymentOrderUrl: /naverpay/payments/v2/list/history
        cancelPaymentUrl: /naverpay/payments/v1/cancel
        decideOrderUrl: /naverpay/payments/v1/purchase-confirm

# 네이버페이 API
naverPay:
    partnerId: np_ktptw906068
    clientId: 8TSWSyJMMUvOLKUySQx6
    clientSecret: oGXnO7cMD1
    paymentReadyUrl: /naverpay/payments/v2/reserve
    paymentRedirectUrl: /order/naver/payment/request
    approvePaymentUrl: /naverpay/payments/v2/apply/payment
    paymentOrderUrl: /naverpay/payments/v2/list/history
    cancelPaymentUrl: /naverpay/payments/v1/cancel
    decideOrderUrl: /naverpay/payments/v1/purchase-confirm

# 핑거푸시
fingerPush:
    appKey: 3S2C52DCXOO9
    appSecret: wwRHOmOUvD21vL1t5yqiJh83oL558jV6
    customerKey: sfG70S5UoMKe
